<?php
function homeroofingservices_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'homeroofingservices_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'home-roofing-services' ),
		)
	); 
	 

	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'home-roofing-services' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','home-roofing-services'),
			'priority' => 1,
			'panel' => 'homeroofingservices_frontpage_sections',
		)
	);


	$wp_customize->add_setting('homeroofingservices_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new homeroofingservices_Tab_Control($wp_customize, 'homeroofingservices_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'home-roofing-services'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'home-roofing-services'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
				'slider_btnbgcolor',
				'slider_btnbghrvcolor',
				'slider_arrowiconcolor',
				'slider_arrowiconbgcolor',
				'slider_arrowiconHoverColorcolor'

            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'home-roofing-services'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'home_roofing_services_slider_section_width',

		   ),
		)
	    
    	),
	))); 


	// General Tab

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		


	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);


	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button Text Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbg Color
	$sliderbtnbgcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_btnbgcolor',
    	array(
			'default' => $sliderbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbgcolor',
		array(
		    'label'   		=> __('Button BG Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btnbghrv Color
	$sliderbtnbghrvcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_btnbghrvcolor',
    	array(
			'default' => $sliderbtnbghrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnbghrvcolor',
		array(
		    'label'   		=> __('Button BG Hover Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowicon Color
	$sliderarrowiconcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_arrowiconcolor',
    	array(
			'default' => $sliderarrowiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconcolor',
		array(
		    'label'   		=> __('Arrow Icon Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconbg Color
	$sliderarrowiconbgcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_arrowiconbgcolor',
    	array(
			'default' => $sliderarrowiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconbgcolor',
		array(
		    'label'   		=> __('Arrow Icon BG Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

// slider arrowicon HoverColor
	$sliderarrowiconHoverColorcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'slider_arrowiconHoverColorcolor',
    	array(
			'default' => $sliderarrowiconHoverColorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconHoverColorcolor',
		array(
		    'label'   		=> __('Arrow Icon Hover Color','home-roofing-services'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

		// slider layout setting
	$wp_customize->add_setting('home_roofing_services_slider_section_width',array(
		'default' => 'Full Width',
		'sanitize_callback' => 'homeroofingservices_sanitize_choices',
	));
	$wp_customize->add_control('home_roofing_services_slider_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','home-roofing-services'),
		'choices' => array (
			'Box Width' => __('Box Width','home-roofing-services'),
			'Full Width' => __('Full Width','home-roofing-services')
		),
		'section' => 'slider_setting',
	));





	/*=========================================
	Feature Section
	=========================================*/
	$wp_customize->add_section(
		'Feature_setting', array(
			'title' => esc_html__( 'Feature Section', 'home-roofing-services' ),
			'priority' => 2,
			'panel' => 'homeroofingservices_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('homeroofingservices_Feature_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new homeroofingservices_Tab_Control($wp_customize, 'homeroofingservices_Feature_tabs', array(
	   'section' => 'Feature_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'home-roofing-services'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'feature_disable_section',
            	'Feature1',
            	'Feature2',
            	'Feature3'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'home-roofing-services'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'feature_boxtitlecolorcolor',
            	'feature_boxdescriptioncolorcolor',
            	'feature_buttonbgcolor',
            	'feature_buttoniconcolor',
            	'feature_buttonbghovercolor',
            	'feature_boxbgcolor',
				'feature_boxbrdcolor',
				'feature_centerboxbgcolor',
				'feature_centerboxcontentcolor',
				'feature_centerboxbtniconcolor',
				'feature_centerboxbtniconbgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'home-roofing-services'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'home_roofing_services_feature_section_width',

		   ),
		)
	    
    	),
	))); 



	// General

	// hide show feature section
	$wp_customize->add_setting(
        'feature_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new homeroofingservices_Toggle_Switch_Custom_Control(
            $wp_customize,
            'feature_disable_section',
            array(
                'settings'      => 'feature_disable_section',
                'section'       => 'Feature_setting',
                'label'         => __( 'Disable Section', 'home-roofing-services' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'home-roofing-services' ),
                    'off' => __( 'No', 'home-roofing-services' )
                ),
            )
        )
    );


    

	// Feature 1
	$wp_customize->add_setting( 
    	'Feature1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'Feature1',
		array(
		    'label'   		=> __('Feature 1','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// Feature 2
	$wp_customize->add_setting(
    	'Feature2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'Feature2',
		array(
		    'label'   		=> __('Feature 2','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Feature 3
	$wp_customize->add_setting(
    	'Feature3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'Feature3',
		array(
		    'label'   		=> __('Feature 3','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// style


	// feature boxtitlecolor color
	$featureboxtitlecolorcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_boxtitlecolorcolor',
    	array(
			'default' => $featureboxtitlecolorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxtitlecolorcolor',
		array(
		    'label'   		=> __('Title Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxdescriptioncolor color
	$featureboxdescriptioncolorcolor = esc_html__('#707070', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_boxdescriptioncolorcolor',
    	array(
			'default' => $featureboxdescriptioncolorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxdescriptioncolorcolor',
		array(
		    'label'   		=> __('Description Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// feature buttonbg color
	$featurebuttonbgcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_buttonbgcolor',
    	array(
			'default' => $featurebuttonbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttonbgcolor',
		array(
		    'label'   		=> __('Button BG Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature buttontext color
	$featurebuttontextcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_buttoniconcolor',
    	array(
			'default' => $featurebuttontextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttoniconcolor',
		array(
		    'label'   		=> __('Button Text Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature buttonbghover color
	$featurebuttonbghovercolor = esc_html__('#000', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_buttonbghovercolor',
    	array(
			'default' => $featurebuttonbghovercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttonbghovercolor',
		array(
		    'label'   		=> __('Button BG Hover Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxbg color
	$featureboxbgcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_boxbgcolor',
    	array(
			'default' => $featureboxbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxbgcolor',
		array(
		    'label'   		=> __('Box BG Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxbrd color
	$featureboxbrdcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_boxbrdcolor',
    	array(
			'default' => $featureboxbrdcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxbrdcolor',
		array(
		    'label'   		=> __('Box Border Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature centerboxbg color
	$featurecenterboxbgcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_centerboxbgcolor',
    	array(
			'default' => $featurecenterboxbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_centerboxbgcolor',
		array(
		    'label'   		=> __('Center Box BG Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// feature centerboxcontentccolor
	$featurecenterboxcontentcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_centerboxcontentcolor',
    	array(
			'default' => $featurecenterboxcontentcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_centerboxcontentcolor',
		array(
		    'label'   		=> __('Center Box Content Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature centerboxbtniconcolor
	$featurecenterboxbtniconcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_centerboxbtniconcolor',
    	array(
			'default' => $featurecenterboxbtniconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_centerboxbtniconcolor',
		array(
		    'label'   		=> __('Center Box Button Icon Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature centerboxbtniconbgcolor
	$featurecenterboxbtniconbgcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'feature_centerboxbtniconbgcolor',
    	array(
			'default' => $featurecenterboxbtniconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_centerboxbtniconbgcolor',
		array(
		    'label'   		=> __('Center Box Button BG Color','home-roofing-services'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider layout setting
	$wp_customize->add_setting('home_roofing_services_feature_section_width',array(
		'default' => 'Box Width',
		'sanitize_callback' => 'homeroofingservices_sanitize_choices',
	));
	$wp_customize->add_control('home_roofing_services_feature_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','home-roofing-services'),
		'choices' => array (
			'Box Width' => __('Box Width','home-roofing-services'),
			'Full Width' => __('Full Width','home-roofing-services')
		),
		'section' => 'Feature_setting',
	));

	/*=========================================
	aboutus Section
	=========================================*/
	$wp_customize->add_section(
		'aboutus_setting', array(
			'title' => esc_html__( 'AboutUs Section', 'home-roofing-services' ),
			'priority' => 2,
			'panel' => 'homeroofingservices_frontpage_sections',
		)
	);

	$wp_customize->add_setting('homeroofingservices_aboutus_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new homeroofingservices_Tab_Control($wp_customize, 'homeroofingservices_aboutus_tabs', array(
	   'section' => 'aboutus_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'home-roofing-services'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'aboutus_disable_section',
            	'aboutus_image',
				'aboutus_image2',
				'aboutus_image3',
            	'aboutus_heading',
				'aboutus_subheading',
				'aboutus_description',
				'aboutus_list1',
				'aboutus_list2',
				'aboutus_list3',
				'aboutus_list4',
            	'aboutus_readmorebtn_link',
				'aboutus_offernum',
				'aboutus_phonetext'
            ),
            'active' => true,
		),
		array(
		'name' => esc_html__('Style', 'home-roofing-services'),
		'icon' => 'dashicons dashicons-art',
		'fields' => array(
			'aboutus_headingcolor',
			'aboutus_headingbrdcolor1',
			'aboutus_headingbrdcolor2',
			'aboutus_subheadingcolor',
			'aboutus_descriptioncolor',
			'aboutus_listcolor',
			'aboutus_btntextcolor',
			'aboutus_btnbgcolor',
			'aboutus_offerphnbgcolor',
			'aboutus_offerphntextcolor',
			'aboutus_offerphniconbgcolor'
		),
     	),
		 array(
		   'name' => esc_html__('Layout', 'home-roofing-services'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'home_roofing_services_about_section_width',

		   ),
		)
    	),
	))); 


	// hide show aboutus section
	$wp_customize->add_setting(
        'aboutus_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new homeroofingservices_Toggle_Switch_Custom_Control(
            $wp_customize,
            'aboutus_disable_section',
            array(
                'settings'      => 'aboutus_disable_section',
                'section'       => 'aboutus_setting',
                'label'         => __( 'Disable Section', 'home-roofing-services' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'home-roofing-services' ),
                    'off' => __( 'No', 'home-roofing-services' )
                ),
            )
        )
    );

	// aboutus_image
	$wp_customize->add_setting(
    	'aboutus_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image',
	        array(
			    'label'   		=> __('Image 1','home-roofing-services'),
				'description'=> __('Image Size Should Be 342*425','home-roofing-services'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image'
	        )
	    )
	);

	// aboutus_image2
	$wp_customize->add_setting(
    	'aboutus_image2',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image2',
	        array(
			    'label'   		=> __('Image 2','home-roofing-services'),
				'description'=> __('Image Size Should Be 342*425','home-roofing-services'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image2'
	        )
	    )
	);

	// aboutus_image3
	$wp_customize->add_setting(
    	'aboutus_image3',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image3',
	        array(
			    'label'   		=> __('Image 3','home-roofing-services'),
				'description'=> __('Image Size Should Be 342*425','home-roofing-services'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image3'
	        )
	    )
	);

	// aboutus_heading
	$wp_customize->add_setting(
    	'aboutus_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_heading',
		array(
		    'label'   		=> __('Heading','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_subheading
	$wp_customize->add_setting(
    	'aboutus_subheading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subheading',
		array(
		    'label'   		=> __('Title','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_description
	$wp_customize->add_setting(
    	'aboutus_description',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_description',
		array(
		    'label'   		=> __('Description','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1
	$wp_customize->add_setting(
    	'aboutus_list1',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1',
		array(
		    'label'   		=> __('List 1','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2
	$wp_customize->add_setting(
    	'aboutus_list2',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2',
		array(
		    'label'   		=> __('List 2','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list3
	$wp_customize->add_setting(
    	'aboutus_list3',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list3',
		array(
		    'label'   		=> __('List 3','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list4
	$wp_customize->add_setting(
    	'aboutus_list4',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list4',
		array(
		    'label'   		=> __('List 4','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_readmorebtn_link
	$aboutusreadmorebtnlink = esc_html__('#', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_readmorebtn_link',
    	array(
			'default' => $aboutusreadmorebtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_readmorebtn_link',
		array(
		    'label'   		=> __('Read More Button Link','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus_offernum
	$wp_customize->add_setting(
    	'aboutus_offernum',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_offernum',
		array(
		    'label'   		=> __('Offer Text','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	

	// aboutus_phonetext
	$wp_customize->add_setting(
    	'aboutus_phonetext',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonetext',
		array(
		    'label'   		=> __('Phone Number','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	
	//style

	// aboutus heading Color
	$aboutusheadingcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_headingcolor',
    	array(
			'default' => $aboutusheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headingcolor',
		array(
		    'label'   		=> __('Heading Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	
	// aboutus headingbrd Colo1r
	$aboutusheadingbrdcolor1 = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_headingbrdcolor1',
    	array(
			'default' => $aboutusheadingbrdcolor1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headingbrdcolor1',
		array(
		    'label'   		=> __('Heading Border Color 1','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus headingbrd Colo1r
	$aboutusheadingbrdcolor2 = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_headingbrdcolor2',
    	array(
			'default' => $aboutusheadingbrdcolor2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_headingbrdcolor2',
		array(
		    'label'   		=> __('Heading Border Color 2','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus subheading Color
	$aboutussubheadingcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_subheadingcolor',
    	array(
			'default' => $aboutussubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subheadingcolor',
		array(
		    'label'   		=> __('Title Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus description Color
	$aboutusdescriptioncolor = esc_html__('#707070', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_descriptioncolor',
    	array(
			'default' => $aboutusdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	// aboutus list Color
	$aboutuslistcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_listcolor',
    	array(
			'default' => $aboutuslistcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listcolor',
		array(
		    'label'   		=> __('List Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus btntext Color
	$aboutusbtntextcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_btntextcolor',
    	array(
			'default' => $aboutusbtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btntextcolor',
		array(
		    'label'   		=> __('Button Text Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus btnbg Color 
	$aboutusbtnbgcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_btnbgcolor',
    	array(
			'default' => $aboutusbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_btnbgcolor',
		array(
		    'label'   		=> __('Button BG Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);



	// aboutus offerphnbg Color
	$aboutusofferphnbgcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'aboutus_offerphnbgcolor',
    	array(
			'default' => $aboutusofferphnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_offerphnbgcolor',
		array(
		    'label'   		=> __('Offer & Phone BG Color','home-roofing-services'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus offerphntext Color
	$aboutusofferphntextcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
		'aboutus_offerphntextcolor',
		array(
			'default' => $aboutusofferphntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_offerphntextcolor',
		array(
			'label'   		=> __('Offer & Phone Text Color','home-roofing-services'),
			'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus offerphniconbg Color
	$aboutusofferphniconbgcolor = esc_html__('#32475A', 'home-roofing-services' );
	$wp_customize->add_setting(
		'aboutus_offerphniconbgcolor',
		array(
			'default' => $aboutusofferphniconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_offerphniconbgcolor',
		array(
			'label'   		=> __('Phone Icon BG Color','home-roofing-services'),
			'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


// slider layout setting
	$wp_customize->add_setting('home_roofing_services_about_section_width',array(
		'default' => 'Box Width',
		'sanitize_callback' => 'homeroofingservices_sanitize_choices',
	));
	$wp_customize->add_control('home_roofing_services_about_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','home-roofing-services'),
		'choices' => array (
			'Box Width' => __('Box Width','home-roofing-services'),
			'Full Width' => __('Full Width','home-roofing-services')
		),
		'section' => 'aboutus_setting',
	));
 

    /*=========================================
	Blog Section
	=========================================*/
	$wp_customize->add_section(
		'blog_setting', array(
			'title' => esc_html__( 'Blog Section', 'home-roofing-services' ),
			'priority' => 3,
			'panel' => 'homeroofingservices_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('homeroofingservices_blog_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new homeroofingservices_Tab_Control($wp_customize, 'homeroofingservices_blog_tabs', array(
	   'section' => 'blog_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'home-roofing-services'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'blog_disable_section',
            	'blog_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'home-roofing-services'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'blog_headingcolor',
                'blog_titlecolor',
                'blog_descriptioncolor',
                'blog_buttontextcolor',
                'blog_authorandcategorycolor',
                'blog_authorandcategorybgcolor',
				'blog_boxbgcolor',
				'blog_midlebrdcolor'

            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'home-roofing-services'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'blog_section_width',
		   ),
		)

    	),
	))); 


	// General Tab

	
	// hide show blog section
	$wp_customize->add_setting(
        'blog_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new homeroofingservices_Toggle_Switch_Custom_Control(
            $wp_customize,
            'blog_disable_section',
            array(
                'settings'      => 'blog_disable_section',
                'section'       => 'blog_setting',
                'label'         => __( 'Disable Section', 'home-roofing-services' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'home-roofing-services' ),
                    'off' => __( 'No', 'home-roofing-services' )
                ),
            )
        )
    );

	// blog subheading Color
	$wp_customize->add_setting(
    	'blog_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'blog_heading',
		array(
		    'label'   		=> __('Heading','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// Style setting

	// blog heading Color
	$blogheadingcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_headingcolor',
    	array(
			'default' => $blogheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_headingcolor',
		array(
		    'label'   		=> __('Heading Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// blog title Color
	$blogtitlecolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_titlecolor',
    	array(
			'default' => $blogtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_titlecolor',
		array(
		    'label'   		=> __('Title Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog description Color
	$blogdescriptioncolor = esc_html__('#707070', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_descriptioncolor',
    	array(
			'default' => $blogdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// blog buttontext Color
	$blogbuttontextcolor = esc_html__('#978052', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_buttontextcolor',
    	array(
			'default' => $blogbuttontextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_buttontextcolor',
		array(
		    'label'   		=> __('Button Text Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// blog authorandcategory Color
	$blogauthorandcategorycolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_authorandcategorycolor',
    	array(
			'default' => $blogauthorandcategorycolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_authorandcategorycolor',
		array(
		    'label'   		=> __('Date & Comments Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog authorandcategorybg Color
	$blogauthorandcategorybgcolor = esc_html__('#293C4B', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_authorandcategorybgcolor',
    	array(
			'default' => $blogauthorandcategorybgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_authorandcategorybgcolor',
		array(
		    'label'   		=> __('Date & Comments BG Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog boxbg Color
	$blogboxbgcolor = esc_html__('#fff', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_boxbgcolor',
    	array(
			'default' => $blogboxbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_boxbgcolor',
		array(
		    'label'   		=> __('Box BG Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog midlebrd Color
	$blogmidlebrdcolor = esc_html__('#000', 'home-roofing-services' );
	$wp_customize->add_setting(
    	'blog_midlebrdcolor',
    	array(
			'default' => $blogmidlebrdcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_midlebrdcolor',
		array(
		    'label'   		=> __('Box Middle Border Color','home-roofing-services'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// layout setting
	$wp_customize->add_setting('blog_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'homeroofingservices_sanitize_choices',
    ));
    $wp_customize->add_control('blog_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','home-roofing-services'),
        'choices' => array (
            'Box Width' => __('Box Width','home-roofing-services'),
            'Full Width' => __('Full Width','home-roofing-services')
        ),
        'section' => 'blog_setting',
    ));

	

	$wp_customize->register_control_type('homeroofingservices_Tab_Control');

}

add_action( 'customize_register', 'homeroofingservices_blog_setting' );

// feature selective refresh
function homeroofingservices_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'homeroofingservices_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'homeroofingservices_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'homeroofingservices_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'homeroofingservices_blog_section_partials' );

// blog_title
function homeroofingservices_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function homeroofingservices_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function homeroofingservices_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


